Skip to content

templates ​

5 endpoints at a glance
MethodPathSummary
GET/templatesList Templates
DELETE/templates/{template_id}Delete Template
POST/templates/{template_id}/instantiateInstantiate
POST/templates/from-project/{project_id}Capture Project
POST/templates/from-task/{task_id}Capture Task

templates​


List Templates​

GET
/templates

Parameters​

Header Parameters

authorization

Query Parameters

kind

Responses​

Successful Response

application/json
JSON
{
  
"additionalProperties": "string"
}

Playground​

Headers
Variables
Key
Value

Samples​


Capture Project​

POST
/templates/from-project/{project_id}

Parameters​

Header Parameters

authorization

Path Parameters

project_id*
Type
string
Required

Request Body​

application/json
JSON
{
  
"name": "string",
  
"description": "string"
}

Responses​

Successful Response

application/json
JSON
{
  
"additionalProperties": "string"
}

Playground​

Headers
Variables
Key
Value
Body

Samples​


Capture Task​

POST
/templates/from-task/{task_id}

Parameters​

Header Parameters

authorization

Path Parameters

task_id*
Type
string
Required

Request Body​

application/json
JSON
{
  
"name": "string",
  
"description": "string"
}

Responses​

Successful Response

application/json
JSON
{
  
"additionalProperties": "string"
}

Playground​

Headers
Variables
Key
Value
Body

Samples​


Instantiate​

POST
/templates/{template_id}/instantiate

Parameters​

Header Parameters

authorization

Path Parameters

template_id*
Type
string
Required

Request Body​

application/json
JSON
{
  
"name": "string",
  
"target_project_id": "string"
}

Responses​

Successful Response

application/json
JSON
{
  
"additionalProperties": "string"
}

Playground​

Headers
Variables
Key
Value
Body

Samples​


Delete Template​

DELETE
/templates/{template_id}

Parameters​

Header Parameters

authorization

Path Parameters

template_id*
Type
string
Required

Responses​

Successful Response

application/json
JSON
{
  
"additionalProperties": "string"
}

Playground​

Headers
Variables
Key
Value

Samples​


Kancil — one workspace for contacts, work and money.